Subject: PDP-11/44 Problem. HELP!!!

From: [email-masked] (David Kendig)
Date: 15 Jun 1994 14:18:16 GMT

Hi,

I am looking for some help on a rather peculiar problem that has been
driving me and my repairman nuts.  I am running a PDP-11/44 with
RSX11M.  Last week it crashed and I rebooted it fine except for one
thing.  When I issue a 'dir' or 'pip' command, I get a stack dump
on the terminal with the message 'Memory protect violation'.  If I
explicitly run [1,54]pip.tsk, it says 'INS - File not task image'.

This has happened in the past and I recovered by restoring the system
directory and running VMR to create a new system.  I also previously 
ran BAD on the disk, but it found nothing unusual so I do not believe
I have a flaky disk.  

One other strange symptom is the following: As I said, if I run PIP, I
get an error, but if I explicitly run a copy of PIP from another disk
and then run the installed version it works fine UNTIL I do a ^C abort
on the PIP process.  Afterwards, the installed PIP command fails with
the memory protect error.

The computer behaves fine if booted from a second disk which is a copy
of the primary disk except for some data files.

MY QUESTION IS, DOES ANYONE HAVE ANY SUGGESTIONS or some tests to try?
We have not even been able decide for sure if it is a software or
hardware error.  We have swapped out the controller, some processor
and some memory boards and we are out of ideas.  Thanks a bunch.

--

        (  .                      
      (. )  )                    
       ) ( (                    David Kendig	(Hughes STX) 
    .________.                  Operations Manager EGRET/Gamma Ray Observatory
    | |    __|                  Code 664, GSFC/NASA
    |       ))                  Greenbelt, MD 20771
    | |    //|                  (301) 286-7242
`---`-`------'---'              
Coffee coffee ...         	[email-masked]